[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# GetCurrentThreadId

Return the id of the currently running thread.

## Declaration

Source position: threadh.inc line 157

`function GetCurrentThreadId: TThreadID;`

## Description

GetCurrentThreadId returns the ID of the currently running thread. It can be used in calls such as KillThread or ThreadSetPriority

## Errors

None.

## See also

KillThread |  | Kill a running thread
ThreadSetPriority |  | Set the priority of a thread.